Subject: Re: [Ice] 5245bis: Pull request to implement unfreezing change suggested by Emil in Berlin - Emil's table

From: Christer Holmberg <[email-masked]>
Date: Thu, 1 Dec 2016 10:56:37 +0000

Hi,

I have yet not produced a pull request for the following, but below is a suggestion how to illustrate the initial setting of the candidate pairs, using “Emil’s table”.

--------

   The table in Figure 8 illustrates how the initial states of the
   candidate pairs in the ordered list of check lists are set.

 Table legend:

 Each row (m1, m2,...) represents a check list associated with a media
 stream. m1 represents the first check list in the ordered list of check
 lists.

 Each column (f1, f2,...) represents a foundation. Every candidiate pair
 within a given column share the same foundation.

 f-cp represents a candidate pair in the Frozen state.

 w-cp represents a candidate pair in the Waiting state.

 1. The agent sets all of the pairs in each check list to the Frozen
 state.

       f1    f2    f3    f4    f5
     -----------------------------
 m1 | f-cp  f-cp  f-cp
    |
 m2 | f-cp  f-cp  f-cp  f-cp
    |
 m3 | f-cp                    f-cp

 2. For each foundation, the candidate pair with the lowest component ID
 is placed in the Waiting state, unless a candidate pair associated with
 the same foundation has already been put in the Waiting state in one of
 the other examined check lists.

       f1    f2    f3    f4    f5
     -----------------------------
 m1 | w-cp  w-cp  w-cp
    |
 m2 | f-cp  f-cp  f-cp  w-cp
    |
 m3 | f-cp                    w-cp

 In the first check list (m1) the candidate pair for each foundation is
 placed in the Waiting state, as no pairs for the same foundations have
 yet been placed in the Waiting state.

 In the second check list (m2) the candidate pair for foundation f4 is
 placed in the Waiting state. The candidate pair for foundations f1, f2
 and f3 are kept in the Frozen state, as candidate pairs for those
 foundations have already been placed in the Waiting state (within check
 list m1).

 In the third check list (m3) the candidate pair for foundation f5 is
 placed in the Waiting state. The candidate pair for foundation f1 is
 kept in the Frozen state, as a candidate pair for that foundation have
 already been placed in the Waiting state (within check list m1).

 Once each check list have been processed, one candidate pair for each
 foundation has been placed in the Waiting state.

                       Figure 8: Initial Pair State

--------

Regards,

Christer

From: Ice <[email-masked]<mailto:[email-masked]>> on behalf of Christer Holmberg <[email-masked]<mailto:[email-masked]>>
Date: Wednesday 30 November 2016 at 21:35
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Ice] 5245bis: Pull request to implement unfreezing change suggested by Emil in Berlin

Hi,

The pull request also contained a number of editorial changes, which made it difficult to parse the change based on Emil’s suggestion. So, I’ve created a new pull request, without the editorial changes.

https://github.com/ice-wg/rfc5245bis/pull/25

Regards,

Christer

From: Ice [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: 30 November 2016 16:28
To: [email-masked]<mailto:[email-masked]>
Subject: [Ice] 5245bis: Pull request to implement unfreezing change suggested by Emil in Berlin

Hi,

Based on the discussions in Berlin (yes, Berlin), where Emil presented a change to the initial candidate unfreezing procedure, I have created a pull request. I ask people to take a look:

https://github.com/ice-wg/rfc5245bis/pull/24

The main change is:

Previously, only candidate pairs (one pair per foundation) in the first check list were placed in the Waiting state. The paris in all other lists remained Frozen.

With the change, candidate pairs (still, only one pair per foundation) throughout all check lists will be placed in the Waiting state.

Emil used a very nice table (“Emil’s table”) in Berlin to illustrate this. I have not implemented the table in the pull request, but if people think it’s needed it’s something we can work on.

Regards,

Christer